searchNodes=[{"type":"task","title":"Mix.Tasks.Deps.Audit","doc":"Scan for security vulnerabilities in Mix dependencies (use --help for options)","ref":"Mix.Tasks.Deps.Audit.html"},{"type":"module","title":"MixAudit","doc":"","ref":"MixAudit.html"},{"type":"function","title":"MixAudit.version/0","doc":"","ref":"MixAudit.html#version/0"},{"type":"module","title":"MixAudit.Advisory","doc":"","ref":"MixAudit.Advisory.html"},{"type":"module","title":"MixAudit.Audit","doc":"","ref":"MixAudit.Audit.html"},{"type":"function","title":"MixAudit.Audit.report/2","doc":"","ref":"MixAudit.Audit.html#report/2"},{"type":"module","title":"MixAudit.CLI","doc":"","ref":"MixAudit.CLI.html"},{"type":"function","title":"MixAudit.CLI.run/1","doc":"","ref":"MixAudit.CLI.html#run/1"},{"type":"module","title":"MixAudit.CLI.Audit","doc":"","ref":"MixAudit.CLI.Audit.html"},{"type":"function","title":"MixAudit.CLI.Audit.run/1","doc":"","ref":"MixAudit.CLI.Audit.html#run/1"},{"type":"module","title":"MixAudit.CLI.Help","doc":"","ref":"MixAudit.CLI.Help.html"},{"type":"function","title":"MixAudit.CLI.Help.run/1","doc":"","ref":"MixAudit.CLI.Help.html#run/1"},{"type":"module","title":"MixAudit.CLI.Version","doc":"","ref":"MixAudit.CLI.Version.html"},{"type":"function","title":"MixAudit.CLI.Version.run/1","doc":"","ref":"MixAudit.CLI.Version.html#run/1"},{"type":"module","title":"MixAudit.Dependency","doc":"","ref":"MixAudit.Dependency.html"},{"type":"module","title":"MixAudit.Formatting","doc":"","ref":"MixAudit.Formatting.html"},{"type":"function","title":"MixAudit.Formatting.format/2","doc":"","ref":"MixAudit.Formatting.html#format/2"},{"type":"module","title":"MixAudit.Formatting.Human","doc":"","ref":"MixAudit.Formatting.Human.html"},{"type":"function","title":"MixAudit.Formatting.Human.format/1","doc":"","ref":"MixAudit.Formatting.Human.html#format/1"},{"type":"module","title":"MixAudit.Formatting.JSON","doc":"","ref":"MixAudit.Formatting.JSON.html"},{"type":"function","title":"MixAudit.Formatting.JSON.format/1","doc":"","ref":"MixAudit.Formatting.JSON.html#format/1"},{"type":"module","title":"MixAudit.Project","doc":"","ref":"MixAudit.Project.html"},{"type":"function","title":"MixAudit.Project.dependencies/1","doc":"","ref":"MixAudit.Project.html#dependencies/1"},{"type":"module","title":"MixAudit.Repo","doc":"","ref":"MixAudit.Repo.html"},{"type":"function","title":"MixAudit.Repo.advisories/0","doc":"","ref":"MixAudit.Repo.html#advisories/0"},{"type":"module","title":"MixAudit.Report","doc":"","ref":"MixAudit.Report.html"},{"type":"module","title":"MixAudit.Vulnerability","doc":"","ref":"MixAudit.Vulnerability.html"},{"type":"extras","title":"README","doc":"MixAudit provides a mix deps.audit task to scan Mix dependencies for security vulnerabilities. It draw its inspiration from tools like npm audit and bundler-audit .","ref":"readme.html"},{"type":"extras","title":"README - Installation","doc":"Project dependency Add mix_audit to the deps function in your project’s mix.exs file: defp deps do [ { :mix_audit , &quot;~&gt; 2.0&quot; , only : [ :dev , :test ] , runtime : false } ] end Then run mix do deps.get, deps.compile inside your project’s directory. Local escript If you do not wish to include mix_audit in your project dependencies, you can install it as global escript : $ mix escript.install hex mix_audit … * creating …/.mix/escripts/mix_audit The only difference is that instead of using the mix deps.audit task, you will have to use the created executable.","ref":"readme.html#installation"},{"type":"extras","title":"README - Requirements","doc":"Git Elixir ~1.8","ref":"readme.html#requirements"},{"type":"extras","title":"README - Usage","doc":"To generate a security report, you can use the deps.audit Mix task: $ mix deps.audit Options Option Type Default Description --path String Current directory The root path of the project to audit --format String &quot;human&quot; The format of the report to generate ( &quot;json&quot; or &quot;human&quot; ) --ignore-advisory-ids String &quot;&quot; Comma-separated list of advisory IDs to ignore --ignore-package-names String &quot;&quot; Comma-separated list of package names to ignore","ref":"readme.html#usage"},{"type":"extras","title":"README - Example","doc":"","ref":"readme.html#example"},{"type":"extras","title":"README - How does it work?","doc":"MixAudit builds two lists when it’s executed in a project: A list of security advisories fetched from the GitHub-sourced elixir-security-advisories repository A list of Mix dependencies from the various mix.lock files in the project Then, it loops through each project dependency and tries to find security advisories that apply to it (through its package name) and that match its version specification (through the advisory vulnerable version ranges). If one is found, a vulnerability (the combination of a security advisory and a project dependency ) is then added to the report. The task will exit with a 0 status only if the report passes (ie. it reports no vulnerabilities). Otherwise, it will exit with a 1 status.","ref":"readme.html#how-does-it-work"},{"type":"extras","title":"README - mix deps.audit vs. mix hex.audit","doc":"Mix provides a mix hex.audit task . According to its documentation, mix hex.audit shows all dependencies that have been marked as retired. MixAudit provides a mix deps.audit task (similar to npm audit and bundler-audit ) that scans dependencies for reported security vulnerabilities . Both tasks are useful but they just don’t share the same purpose.","ref":"readme.html#mix-deps-audit-vs-mix-hex-audit"},{"type":"extras","title":"README - License","doc":"MixAudit is © 2020 Mirego and may be freely distributed under the New BSD license . See the LICENSE.md file. The detective hat logo is based on this lovely icon by Vectors Point , from The Noun Project. Used under a Creative Commons BY 3.0 license.","ref":"readme.html#license"},{"type":"extras","title":"README - About Mirego","doc":"Mirego is a team of passionate people who believe that work is a place where you can innovate and have fun. We’re a team of talented people who imagine and build beautiful Web and mobile applications. We come together to share ideas and change the world . We also love open-source software and we try to give back to the community as much as we can.","ref":"readme.html#about-mirego"}]